Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  
  mit ilogic Ordner erstellen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   mit ilogic Ordner erstellen (250 mal gelesen)
nellicadelli
Mitglied
Konstrukteur


Sehen Sie sich das Profil von nellicadelli an!   Senden Sie eine Private Message an nellicadelli  Schreiben Sie einen Gästebucheintrag für nellicadelli

Beiträge: 86
Registriert: 13.10.2009

Inventor Prof 2014
Productstream Prof.Pro 2011

erstellt am: 09. Sep. 2019 11:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Gemeinde,

ich möchte mit iLogic Bauteile auf der Platte abspeichern mit der Pfadangabe meiner Wahl, dabei soll auch vorher automatisch ein Ordner erstellt werden,mit dem Titel des Bauteils und dort soll die Datei mit Zeichnungsnummer als Dateiname dann rein.

neuer Pfadname auf Platte hab ich hinbekommen
Dateiname mit Property der Zeichnung hab ich hinbekommen

den Ordner vorher erstellen mit Titel der Datei krieg ich nicht mal ansatzweise hin.
Geht das überhaupt mit ilogic ?

Danke

Grüße
VO

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JohannesW91
Mitglied


Sehen Sie sich das Profil von JohannesW91 an!   Senden Sie eine Private Message an JohannesW91  Schreiben Sie einen Gästebucheintrag für JohannesW91

Beiträge: 8
Registriert: 11.01.2016

erstellt am: 09. Sep. 2019 11:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für nellicadelli 10 Unities + Antwort hilfreich

Code:
If Not System.IO.Directory.Exists(PFAD) Then
    System.IO.Directory.CreateDirectory(PFAD)
End If

PFAD ist dabei der Dateipfad inkl. dem gewünschten neuen Ordner


Funktioniert zumindest bei mir, habs aber auch nur aus anderen Scripten kopiert.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nellicadelli
Mitglied
Konstrukteur


Sehen Sie sich das Profil von nellicadelli an!   Senden Sie eine Private Message an nellicadelli  Schreiben Sie einen Gästebucheintrag für nellicadelli

Beiträge: 86
Registriert: 13.10.2009

Inventor Prof 2014
Productstream Prof.Pro 2011

erstellt am: 10. Sep. 2019 15:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ja danke,

den Titel der Datei brauch ich im Ordnernamen
keiner ne Idee?

Danke

Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nellicadelli
Mitglied
Konstrukteur


Sehen Sie sich das Profil von nellicadelli an!   Senden Sie eine Private Message an nellicadelli  Schreiben Sie einen Gästebucheintrag für nellicadelli

Beiträge: 86
Registriert: 13.10.2009

Inventor Prof 2014
Productstream Prof.Pro 2011

erstellt am: 10. Sep. 2019 15:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ja danke,

den Titel der Datei brauch ich im Ordnernamen
keiner ne Idee?

Danke

Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JohannesW91
Mitglied


Sehen Sie sich das Profil von JohannesW91 an!   Senden Sie eine Private Message an JohannesW91  Schreiben Sie einen Gästebucheintrag für JohannesW91

Beiträge: 8
Registriert: 11.01.2016

erstellt am: 10. Sep. 2019 15:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für nellicadelli 10 Unities + Antwort hilfreich

Code:
Dim oAsmDoc As Document
oAsmDoc = ThisApplication.ActiveDocument
oAsmName = oAsmDoc.DisplayName
oPath = ThisDoc.Path
oFolder = oPath & "\" & oAsmName


If Not System.IO.Directory.Exists(oFolder) Then
    System.IO.Directory.CreateDirectory(oFolder)
End If


Ob das der eleganteste Weg ist, weiß ich nicht, aber es funktioniert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nellicadelli
Mitglied
Konstrukteur


Sehen Sie sich das Profil von nellicadelli an!   Senden Sie eine Private Message an nellicadelli  Schreiben Sie einen Gästebucheintrag für nellicadelli

Beiträge: 86
Registriert: 13.10.2009

Inventor Prof 2014
Productstream Prof.Pro 2011

erstellt am: 10. Sep. 2019 16:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

vielen Dank Johannes für die Inspiration

hab's dann so hingekriegt

Dim oAsmDoc As Document
oAsmDoc = ThisApplication.ActiveDocument
oAsmName = oAsmDoc.DisplayName
oPath = "C:\Test\"& iProperties.Value("Summary", "Title")& "\"

Gruß
VO

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nellicadelli
Mitglied
Konstrukteur


Sehen Sie sich das Profil von nellicadelli an!   Senden Sie eine Private Message an nellicadelli  Schreiben Sie einen Gästebucheintrag für nellicadelli

Beiträge: 86
Registriert: 13.10.2009

Inventor Prof 2014
Productstream Prof.Pro 2011

erstellt am: 10. Sep. 2019 16:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

vielen Dank Johannes für die Inspiration

hab's dann so hingekriegt

Dim oAsmDoc As Document
oAsmDoc = ThisApplication.ActiveDocument
oAsmName = oAsmDoc.DisplayName
oPath = "C:\Test\"& iProperties.Value("Summary", "Title")& "\"

Gruß
VO

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz